{
/* Properties for "Vector Goo Ball Symulator"
Goosweek's Goomods Factory 2010

BE CAREFUL WHEN YOU EDIT THIS FILE
*/

// ADVENCED FEATURE: easter egg code coloring balls:
 defaults = "image_blend = random(c_white/64)*64" ; // simply delete it if you want

// Starting settings - not important
 radial = false;		// whether starting with RADIAL MODE
 show = sh_eyes;		// whith look of ball is first (sh_eyes, sh_nothing, sh_numbers)
 balls_start = 2;		// number of balls at start
 closed = false;		// whether the NORMAL area should be closed at start
 auto_geom = true;		// whether planet is default for RADIAL and walls are default in NORMAL

// Global phisics settings ------
 gb_friction = 0.96;		// friction* of collision between balls
 speed_factor = 0.0625;		// factor of vector speed adding
 ball_r = 30;			// radius of ball's collison circle

// Graphics effects settings
 particle_force = 1;		// force of throwing particles out
 particle_int = 2;		// how often particles should be created
 particle_time = 50;		// life time for particles. 0 = NO PARTICLES.
 particle_friction = 0.06 ;	// friction for particles*
 radius_of_image = 24;		// radius of ball at image
 rotatenumbers = false;		// whether numbers of balls should be rotated like eyes
 eye_x = 14; eye_y = 6;		// coordinates of right eye | left eye has reversed eye_x

// NORMAL MODE settings ---------
 sc_bottom = 700; sc_top = 50;	// y coordinates of horizontal walls
 sc_left = 30; sc_right = 930;	// x coordinates of vertical walls
 n_friction = 0.95;
 n_gravity = 1;
 n_balls = 16;			// maximal number of balls in this mode

// RADIAL MODE settings ---------
 r_planet = 100;		// radius of planet (r_planet < -ball_r means NO PLANET)
 r_friction = 0.99;
 r_balls = 8;			// maximal number of balls in this mode
 r_gravity = 1.05;		
 planet_image = 1;		// =0 - no image, >0 foreground, <0 background
 planet_xyoffset = 8;		// how the image of planet is larger than real planet

// ------------------------------
// Loading resources* 
 background_replace(normal_bg,"res\normal_bg.png",0,0);
 background_replace(radial_bg,"res\GOOradial.jpg",0,0);
 sound_replace(music,"res\WoG_GoingUp.mp3",3,0);
 sprite_replace(s_particles,"res\image_particles2.png",4,0,0,7,8);
 sprite_replace(s_eyes,"res\image_eyes1.png",3,0,0,10,10);
 background_replace(planet_fg,"res\planet_image.png",0,0);

// This lines are not very important in default version:
 sprite_replace(s_ball,"res\image_ball1.png",1,0,0,24,24);
 sprite_replace(s_arrow,"res\image_arrow1.png",1,0,0,0,16);
 sprite_replace(s_cursor,"res\image_cursor1.png",1,0,0,2,1);
 sprite_replace(s_dragmarker,"res\image_dragmarker1.png",1,0,0,30,30);

 exit;
}

/* NOTES about parameters.

FRICTION. If equal to 1, there's NO FRICTION. 0 is full friction (every collision stops ball). After every bounce, value of ball's speed
is multiplied by this value. 

PARTICLE settings:
_FORCE - force of throwing particles out (speed at start)
_TIME - life time for particles. 0 = NO PARTICLES.
_FRICTION - 0 = NO FRICTION. negative values makes acceleration for parts.


RESORCE CHANGING FUNCTIONS - limited instructions for advenced users

backgroung_replace( {internal id of image (background)}, "{FilePath}", 0, 0)
sound_replace( {internal id of sound}, "{FilePath}", {3 if .mp3, 0 if .wav or 1 if .mid}, 0)
sprite_replace( {internal id of image (sprite)}, "{FilePath}", {number of subimages in image}, 0, 0, {x of center}, {y of center})

List of internal ids:
SPRITE IMAGES - please use only png images for them
s_ball - body image of ball
s_arrow - image of vector
s_dragmarker - image of dragmarker
s_cursor - cursor image
s_particles - set of particle images
s_eyes - eye images for balls

BACKGROUND IMAGES
normal_bg - background image in NORMAL MODE
radial_bg - background image in RADIAL MODE
planet_fg - image of planet in radial mode (png image required)

SOUNDS
music - music played all the time (required mid or mp3 file)
sound0 ... sound7 - sounds played when ball is launching (3rd parameter have to be 0. DO NOT USE MP3 FILES!)

*/